/* CSS used here will be applied after bootstrap.css */
@font-face {
    font-family: Gotham-Medium;
    src: url(../fonts/Gotham-Medium.otf);
}

@font-face {
  font-family: Gotham-Bold;
  src: url(../fonts/Gotham-Bold.otf);
}

@font-face {
  font-family: Gotham-Book;
  src: url(../fonts/Gotham-Book.otf);
} 

body {
  background-image: url(../img/header-bg.jpg);
  background-repeat: no-repeat;
  background-size: 100%;;
}

a {
  color: #39a062;
}

/* ==========================================================================
   Navigation Menu
========================================================================== */
.navbar {
  background-color: #124d0d;
}
.logo {
  position: absolute;
  width: 15%;
  height: auto;
  top: 10px;
  left: 0;
}

/* ==========================================================================
   Header
========================================================================== */
.header {
  position: relative;
  width: 100%;
  text-align: center;
  margin-top: 50px;
  
}

.clear {
  clear:both;
}

.layer {
  position: absolute;
  left: 0;
}
.layer:last-child {
  position: relative;
}

.mandalas {
  margin-top: -7%;
}

/* ==========================================================================
   UPC Form
========================================================================== */

.form {
  position: relative;
  width: 100%;
  margin: 5vh 0 5vh 0;
}

.form-upc {
  margin: auto;
  width: 90%;
  text-align: center;
}

.upc-data {
  display: block;
  margin-top: 5%;
}

.upc-data > input {
  border: none;
  width: 85%;
  height: 40px;
  margin: 0 1% 2% 5%;
}

.upc-data > input::placeholder {
  padding-left:10px;
}

.tip {
  position: relative;
  display: inline-block;
}

.tip > i {
  color: #0a3314;
  font-size: 1.3rem;
}

.tip .tooltipimg {
  visibility: hidden;
  position: absolute;
  z-index: 4;
  top: 15px;
  right: 10%;
  opacity: 0;
  transition: opacity 1s;
}

.tip:hover .tooltipimg {
  visibility: visible;
  opacity: 1;
}

.form-upc > button {
  margin-right: 4%;
  width: 85%;
  background-color: #0a3314;
  border: none;
  height: 40px;
  border-radius: 5px;
  color: #fff;
}

/* ==========================================================================
   Info
========================================================================== */
.info {
  width: 100%;
  position: relative;
  margin-top: 15vh;
  z-index: 3;
  margin: 0 auto;
}
.content-info {
  width: 100%;
  height: auto;
  border: double 4px transparent;
  border-radius: 20px;
  background-image: linear-gradient(#16430d, #43651f), radial-gradient(circle at top left, #fbdd84,#dcba68, #b2852f);
  background-origin: border-box;
  background-clip: content-box, border-box;
  margin: 0 auto;
}

.dotted-border {
  border-width: 15px; 
  width: 98%;
  height: auto;
  border-style: dotted; 
  border-color: rgba(213, 126, 0, 1); 
  border-image-source: url(../img/dots.svg);
  border-image-slice: 36% 36%;
  border-image-repeat: repeat;
  margin: 1%;
  padding: 3%;
}

.lights {
  position: absolute;
  width: 100%;
  margin: -4% 0 0 0%;
}

.how-to {
  text-align: center;
  margin-bottom: 3%;
}

.content {
  margin: 0 5% 0 5%;
}
.how-to > img {
  width: 50%;
}


.step {
  display: block;
  margin: auto;
  width: 50%;
}
.step-1, .step-2, .step-3 {
  text-align: center;
}

.stage {
  background-image: url(../img/stage.png);
  background-size: 100%;
  background-repeat: no-repeat;
  width: 100%;
  margin: 0 auto;
  text-align: center;
  padding: 5%;
}

.video {
  position: relative;
  width: 60%;
  margin: 12% auto 5% auto;
}

.video:before {
  content: "";
  display: block;
  padding-top: 56.25%; 
}

.video-content {
  position: absolute;
  top:0;
  left: 0;
  bottom: 0;
  right: 0;
}

.video-content > iframe {
  width: 100%;
  height: 100%;
}
.check-mark {
  width: 70%;
}

.tks-logo {
  position: absolute;
  width: 10%;
  bottom: 0;
  right: 0;
  margin-bottom: -10px;
  margin-right: -20px;
}
.modal-header {
  margin-bottom: -7%;
}
.modal-bg {
  background-image: url(../img/submit-bg.png);
  background-repeat: no-repeat;
  background-size: 106%;
}
.submit-title, .modal-p {
  margin-bottom: 5%;
  text-align: left;
}
/* ==========================================================================
   Error messages
========================================================================== */
#error {
  display: block;
  padding-top: 2%;
  color: #c30;
}

#duplicated-entry {
  margin-top: 20px;
  color: #ffc400;
  font-size: 1rem;
}

.error {
  color: #dd4b39;
  background-color: #f4c6c4;
  border: 1px solid #f5bab8;
  border-radius: 2px;
  padding: 5px;
  margin-top: 10px;
  font-size: 0.7rem;
}

#wrong-upc, #empty-upc {
  width: 65%;
  margin: 10px auto;
}
/* ==========================================================================
   Footer
========================================================================== */

footer {
  margin-top: 5%;
  padding: 3% 0 0 0;
  background: #0a3314;
  color: #fff; 
  font-size: 2vw;
}

.footer {
  padding: 0 10% 0 10%;
}
.footer > a {
  color: #78c597;
}
.footer > p {
  font-size: 0.5rem;
}
.footer img {
  width: 10%;
}

.footer-menu {
  font-size: 0.8rem;
  background: #05220c;
  padding: 0 9%; 
}
.footer-menu > nav {
  background: transparent;
  color: white;
}
.footer-menu > nav > a{
  color: white;
}
/* ==========================================================================
   Modal
========================================================================== */

.btn-primary:not(:disabled):not(.disabled):active, 
.btn-primary:not(:disabled):not(.disabled).active, 
.show > .btn-primary.dropdown-toggle{
    background-color: #0a3314;
}

.form-row {
  margin-top:10px;
}
.checkbox-form {
  text-align: left;
  margin-left: 20px;
}
/* ==========================================================================
   Modal Rules and Regulations
========================================================================== */

.modal-body-rules>h2 {
  font-size: 1.5rem;
  font-weight: 700;
  text-align: center;
}

.modal-body-rules>h3 {
  font-size: 1rem;
  font-style: bold;
  text-align: center;
}

.modal-body-rules>h4 {
  font-family: 'gotham-bold';
  font-size: 0.7rem;
}

.modal-body-rules>p {
  font-size: 0.7rem;
  text-align: justify;
}

.modal-body-rules>p>strong {
  font-family: 'Gotham-bold';
}

td, th {
  border: 1px solid #fff;
  font-size: 0.7rem;
  padding: 5px 10px;
}

table {
  margin-bottom: 2%;
}

/* ==========================================================================
   Media Queries
========================================================================== */


/* Small devices (landscape phones, 568px and up)*/
@media (min-width: 576px) { 
  .form-upc > button {
    margin-right: 0;
  }
  .step {
    width: 35%;
  }
 
  
}

/* Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) { 


  .upc-data > input {
    width: 50%;
    margin-left: 6%;
  }
  .form-upc > button {
    width: 50%;
    margin-right: -1rem;
  }
 }

/* Large devices (desktops, 992px and up)*/
@media (min-width: 992px) { 
  .navbar {
    background-color: rgba(0, 0, 0, 0.4);
  }  
  .nav-item > a:after {
    content: '|';
    padding-left: 10px;
    color: #fff;
}
.nav-link {
  color: #fff;
}
.nav-item:last-child > a:after {
    content: '';
}

  header {
    margin-top: -50px;
  }
  p,
  label {
    font-size: 1rem;
  }
  .tip .tooltipimg {
  left: 10%;
  }

  .lights {
    width: 80%;
    margin: -3% 0 0 10%;
  }
  .content-info {
    width: 80%;
    border-radius: 50px;
  }
  
  .dotted-border {
    border-width: 20px; 
  }
  
 .stage {
   width: 80%;
 }

  .modal-dialog {
    max-width: 800px;;
  }


  .footer > p, .copyright > p {
    font-size: 0.7rem;
  }
}

/* Large devices (Ipad, Portrait )*/
@media (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: landscape) {
    .lights {
      margin-top: -3%;
    }
  
}

/* Large devices (Ipad, Portrait )*/
@media (min-device-width: 1024px) and (max-device-width: 1366px) {
  .lights {
    margin-top: -3%;
  }
  .modal-content {
    width: 100%!important;
  }
  .modal-header {
    margin-bottom: -4%;
  }
}

/* Extra large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) { 
  .logo {
    width: 15%;
  }
 
  .upc-data > input {
    margin-left: 4%;
  }

  .form {
    margin: 0 0 10vh 0;
  }
  .form-upc {
    width: 30%;
  }
  .form-upc > button {
    margin-right: 1rem;
  }
  .upc-data > input,
  .form-upc > button
  {
    width: 65%;
  }
  .video > iframe {
    height: 400px;
  }

  #duplicated-entry {
    font-size: 1.5rem;
  }
  
  .error {
    color: #dd4b39;
    background-color: #f4c6c4;
    border: 1px solid #f5bab8;
    border-radius: 2px;
    padding: 5px;
    margin-top: 10px;
    font-size: 1rem;
  }
 }

 @media (min-width: 1500px) { 
  .logo {
    width: 10%;
  }
  p, label {
    font-size: 1.2rem;
  }
  .upc-data > input {
    margin-left: 4%;
  }
  .form-upc > button {
    margin-right: 0;
  }
  .info {
    width: 70%;
  }
  .step {
    width: 50%;
  }
  .modal-xl {
    width: 75%;
    max-width: 1500px;
  }
  .modal-body {
    width: 91%;
  }
  .modal-bottom {
    width: 91%;
  }
  .btn-primary {
    padding: 0.875rem 8.75rem;
    font-size: 1.5rem;
  }
  .modal-header{
    margin-bottom: -3%!important;
  }
  .footer > p, .copyright > p {
    font-size: 1rem;
  }
 }